Any browser can support authenticated Socks5

Closed
jackmj
Posts
3
Registration date
Wednesday October 12, 2011
Status
Member
Last seen
October 16, 2011
- Oct 13, 2011 at 09:35 PM
 Blocked Profile - Oct 14, 2011 at 01:21 AM
Hi everyone,

I have tried IE6, IE8, Firefox 6, Chrome 4 and found that all of them can not support Socks5 proxy with user/password authentication.
After my test, I get some points as bellow:

1. As a default setting, IE uses Socks4 which can not support user/password authentication.
2. Chrome uses IE's proxy settings.
3. Firefox can support both Socks4 and Socks5 but if Socks5, it still can not support user/password authentication.

I know with some proxy tools like proxifier, freecap, I can make it but what if without such proxy tools? Anyone can help?

BTW, I used CCProxy V7.2 to build my proxy server. I use Win XP Pro SP3 for both proxy server and client.

1 reply

Blocked Profile
Oct 14, 2011 at 01:21 AM
Greetings,

Please, bare in mind that before any answer given on the forum, you should know that there are volunteers who give their time trying to solve user problems. They do have a life other than this forum including me.

Therefore, it is specifically requested from Kioskea forum users to show their respect. For this, the use of polite expressions is a minimum.
https://ccm.net/contents/948-terms-of-use-for-ccm-respect-for-others#politesse

To say please, thank you, appreciate, grateful, etc... is common courtesy when you want something, especially help!

You must copy, modify and repost your message respecting the politeness charter.

We trust that you understand.

Moderator
0